com.google.gwt.dom.builder.shared

## Class HtmlBuilderFactory

- java.lang.Object
- - com.google.gwt.dom.builder.shared.ElementBuilderFactory
  - - com.google.gwt.dom.builder.shared.HtmlBuilderFactory

-     public class HtmlBuilderFactory
      extends ElementBuilderFactory

  Factory for creating element builders that use string concatenation to generate HTML.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HtmlBuilderFactory()` Created from static factory method.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HtmlAnchorBuilder` | `createAnchorBuilder()`
    `HtmlAreaBuilder` | `createAreaBuilder()`
    `HtmlAudioBuilder` | `createAudioBuilder()`
    `HtmlBaseBuilder` | `createBaseBuilder()`
    `HtmlQuoteBuilder` | `createBlockQuoteBuilder()`
    `HtmlBodyBuilder` | `createBodyBuilder()`
    `HtmlBRBuilder` | `createBRBuilder()`
    `HtmlInputBuilder` | `createButtonInputBuilder()`
    `HtmlCanvasBuilder` | `createCanvasBuilder()`
    `HtmlInputBuilder` | `createCheckboxInputBuilder()`
    `HtmlTableColBuilder` | `createColBuilder()`
    `HtmlTableColBuilder` | `createColGroupBuilder()`
    `HtmlDivBuilder` | `createDivBuilder()`
    `HtmlDListBuilder` | `createDListBuilder()`
    `HtmlFieldSetBuilder` | `createFieldSetBuilder()`
    `HtmlInputBuilder` | `createFileInputBuilder()`
    `HtmlFormBuilder` | `createFormBuilder()`
    `HtmlFrameBuilder` | `createFrameBuilder()`
    `HtmlFrameSetBuilder` | `createFrameSetBuilder()`
    `HtmlHeadingBuilder` | `createH1Builder()`
    `HtmlHeadingBuilder` | `createH2Builder()`
    `HtmlHeadingBuilder` | `createH3Builder()`
    `HtmlHeadingBuilder` | `createH4Builder()`
    `HtmlHeadingBuilder` | `createH5Builder()`
    `HtmlHeadingBuilder` | `createH6Builder()`
    `HtmlHeadBuilder` | `createHeadBuilder()`
    `HtmlInputBuilder` | `createHiddenInputBuilder()`
    `HtmlHRBuilder` | `createHRBuilder()`
    `HtmlIFrameBuilder` | `createIFrameBuilder()`
    `HtmlImageBuilder` | `createImageBuilder()`
    `HtmlInputBuilder` | `createImageInputBuilder()`
    `HtmlLabelBuilder` | `createLabelBuilder()`
    `HtmlLegendBuilder` | `createLegendBuilder()`
    `HtmlLIBuilder` | `createLIBuilder()`
    `HtmlLinkBuilder` | `createLinkBuilder()`
    `HtmlMapBuilder` | `createMapBuilder()`
    `HtmlMetaBuilder` | `createMetaBuilder()`
    `HtmlOListBuilder` | `createOListBuilder()`
    `HtmlOptGroupBuilder` | `createOptGroupBuilder()`
    `HtmlOptionBuilder` | `createOptionBuilder()`
    `HtmlParagraphBuilder` | `createParagraphBuilder()`
    `HtmlParamBuilder` | `createParamBuilder()`
    `HtmlInputBuilder` | `createPasswordInputBuilder()`
    `HtmlPreBuilder` | `createPreBuilder()`
    `HtmlButtonBuilder` | `createPushButtonBuilder()`
    `HtmlQuoteBuilder` | `createQuoteBuilder()`
    `HtmlInputBuilder` | `createRadioInputBuilder(java.lang.String name)` Create a builder for an <input type='radio'> element.
    `HtmlButtonBuilder` | `createResetButtonBuilder()`
    `HtmlInputBuilder` | `createResetInputBuilder()`
    `HtmlScriptBuilder` | `createScriptBuilder()`
    `HtmlSelectBuilder` | `createSelectBuilder()`
    `HtmlSourceBuilder` | `createSourceBuilder()`
    `HtmlSpanBuilder` | `createSpanBuilder()`
    `HtmlStyleBuilder` | `createStyleBuilder()`
    `HtmlButtonBuilder` | `createSubmitButtonBuilder()`
    `HtmlInputBuilder` | `createSubmitInputBuilder()`
    `HtmlTableBuilder` | `createTableBuilder()`
    `HtmlTableCaptionBuilder` | `createTableCaptionBuilder()`
    `HtmlTableSectionBuilder` | `createTBodyBuilder()`
    `HtmlTableCellBuilder` | `createTDBuilder()`
    `HtmlTextAreaBuilder` | `createTextAreaBuilder()`
    `HtmlInputBuilder` | `createTextInputBuilder()`
    `HtmlTableSectionBuilder` | `createTFootBuilder()`
    `HtmlTableCellBuilder` | `createTHBuilder()`
    `HtmlTableSectionBuilder` | `createTHeadBuilder()`
    `HtmlTitleBuilder` | `createTitleBuilder()`
    `HtmlTableRowBuilder` | `createTRBuilder()`
    `HtmlUListBuilder` | `createUListBuilder()`
    `HtmlVideoBuilder` | `createVideoBuilder()`
    `static HtmlBuilderFactory` | `get()` Get the instance of the `HtmlBuilderFactory`.
    `HtmlElementBuilder` | `trustedCreate(java.lang.String tagName)` Create an `ElementBuilder` for an arbitrary tag name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HtmlBuilderFactory

          protected HtmlBuilderFactory()

      Created from static factory method.

  - ### Method Detail

    - #### get

          public static HtmlBuilderFactory get()

      Get the instance of the `HtmlBuilderFactory`.

      Use `ElementBuilderFactory.get()` to fetch a factory optimized for the browser client. However, you can use this factory directly if you want to force the builders to builder elements using HTML string concatenation and innerHTML. You can also use this factory if you want access to the HTML string, such as when you are building HTML on a server.

      Returns:
        the `ElementBuilderFactory`

    - #### createAnchorBuilder

          public HtmlAnchorBuilder createAnchorBuilder()

      Specified by:
        `createAnchorBuilder` in class `ElementBuilderFactory`

    - #### createAreaBuilder

          public HtmlAreaBuilder createAreaBuilder()

      Specified by:
        `createAreaBuilder` in class `ElementBuilderFactory`

    - #### createAudioBuilder

          public HtmlAudioBuilder createAudioBuilder()

      Specified by:
        `createAudioBuilder` in class `ElementBuilderFactory`

    - #### createBaseBuilder

          public HtmlBaseBuilder createBaseBuilder()

      Specified by:
        `createBaseBuilder` in class `ElementBuilderFactory`

    - #### createBlockQuoteBuilder

          public HtmlQuoteBuilder createBlockQuoteBuilder()

      Specified by:
        `createBlockQuoteBuilder` in class `ElementBuilderFactory`

    - #### createBodyBuilder

          public HtmlBodyBuilder createBodyBuilder()

      Specified by:
        `createBodyBuilder` in class `ElementBuilderFactory`

    - #### createBRBuilder

          public HtmlBRBuilder createBRBuilder()

      Specified by:
        `createBRBuilder` in class `ElementBuilderFactory`

    - #### createButtonInputBuilder

          public HtmlInputBuilder createButtonInputBuilder()

      Specified by:
        `createButtonInputBuilder` in class `ElementBuilderFactory`

    - #### createCanvasBuilder

          public HtmlCanvasBuilder createCanvasBuilder()

      Specified by:
        `createCanvasBuilder` in class `ElementBuilderFactory`

    - #### createCheckboxInputBuilder

          public HtmlInputBuilder createCheckboxInputBuilder()

      Specified by:
        `createCheckboxInputBuilder` in class `ElementBuilderFactory`

    - #### createColBuilder

          public HtmlTableColBuilder createColBuilder()

      Specified by:
        `createColBuilder` in class `ElementBuilderFactory`

    - #### createColGroupBuilder

          public HtmlTableColBuilder createColGroupBuilder()

      Specified by:
        `createColGroupBuilder` in class `ElementBuilderFactory`

    - #### createDivBuilder

          public HtmlDivBuilder createDivBuilder()

      Specified by:
        `createDivBuilder` in class `ElementBuilderFactory`

    - #### createDListBuilder

          public HtmlDListBuilder createDListBuilder()

      Specified by:
        `createDListBuilder` in class `ElementBuilderFactory`

    - #### createFieldSetBuilder

          public HtmlFieldSetBuilder createFieldSetBuilder()

      Specified by:
        `createFieldSetBuilder` in class `ElementBuilderFactory`

    - #### createFileInputBuilder

          public HtmlInputBuilder createFileInputBuilder()

      Specified by:
        `createFileInputBuilder` in class `ElementBuilderFactory`

    - #### createFormBuilder

          public HtmlFormBuilder createFormBuilder()

      Specified by:
        `createFormBuilder` in class `ElementBuilderFactory`

    - #### createFrameBuilder

          public HtmlFrameBuilder createFrameBuilder()

      Specified by:
        `createFrameBuilder` in class `ElementBuilderFactory`

    - #### createFrameSetBuilder

          public HtmlFrameSetBuilder createFrameSetBuilder()

      Specified by:
        `createFrameSetBuilder` in class `ElementBuilderFactory`

    - #### createH1Builder

          public HtmlHeadingBuilder createH1Builder()

      Specified by:
        `createH1Builder` in class `ElementBuilderFactory`

    - #### createH2Builder

          public HtmlHeadingBuilder createH2Builder()

      Specified by:
        `createH2Builder` in class `ElementBuilderFactory`

    - #### createH3Builder

          public HtmlHeadingBuilder createH3Builder()

      Specified by:
        `createH3Builder` in class `ElementBuilderFactory`

    - #### createH4Builder

          public HtmlHeadingBuilder createH4Builder()

      Specified by:
        `createH4Builder` in class `ElementBuilderFactory`

    - #### createH5Builder

          public HtmlHeadingBuilder createH5Builder()

      Specified by:
        `createH5Builder` in class `ElementBuilderFactory`

    - #### createH6Builder

          public HtmlHeadingBuilder createH6Builder()

      Specified by:
        `createH6Builder` in class `ElementBuilderFactory`

    - #### createHeadBuilder

          public HtmlHeadBuilder createHeadBuilder()

      Specified by:
        `createHeadBuilder` in class `ElementBuilderFactory`

    - #### createHiddenInputBuilder

          public HtmlInputBuilder createHiddenInputBuilder()

      Specified by:
        `createHiddenInputBuilder` in class `ElementBuilderFactory`

    - #### createHRBuilder

          public HtmlHRBuilder createHRBuilder()

      Specified by:
        `createHRBuilder` in class `ElementBuilderFactory`

    - #### createIFrameBuilder

          public HtmlIFrameBuilder createIFrameBuilder()

      Specified by:
        `createIFrameBuilder` in class `ElementBuilderFactory`

    - #### createImageBuilder

          public HtmlImageBuilder createImageBuilder()

      Specified by:
        `createImageBuilder` in class `ElementBuilderFactory`

    - #### createImageInputBuilder

          public HtmlInputBuilder createImageInputBuilder()

      Specified by:
        `createImageInputBuilder` in class `ElementBuilderFactory`

    - #### createLabelBuilder

          public HtmlLabelBuilder createLabelBuilder()

      Specified by:
        `createLabelBuilder` in class `ElementBuilderFactory`

    - #### createLegendBuilder

          public HtmlLegendBuilder createLegendBuilder()

      Specified by:
        `createLegendBuilder` in class `ElementBuilderFactory`

    - #### createLIBuilder

          public HtmlLIBuilder createLIBuilder()

      Specified by:
        `createLIBuilder` in class `ElementBuilderFactory`

    - #### createLinkBuilder

          public HtmlLinkBuilder createLinkBuilder()

      Specified by:
        `createLinkBuilder` in class `ElementBuilderFactory`

    - #### createMapBuilder

          public HtmlMapBuilder createMapBuilder()

      Specified by:
        `createMapBuilder` in class `ElementBuilderFactory`

    - #### createMetaBuilder

          public HtmlMetaBuilder createMetaBuilder()

      Specified by:
        `createMetaBuilder` in class `ElementBuilderFactory`

    - #### createOListBuilder

          public HtmlOListBuilder createOListBuilder()

      Specified by:
        `createOListBuilder` in class `ElementBuilderFactory`

    - #### createOptGroupBuilder

          public HtmlOptGroupBuilder createOptGroupBuilder()

      Specified by:
        `createOptGroupBuilder` in class `ElementBuilderFactory`

    - #### createOptionBuilder

          public HtmlOptionBuilder createOptionBuilder()

      Specified by:
        `createOptionBuilder` in class `ElementBuilderFactory`

    - #### createParagraphBuilder

          public HtmlParagraphBuilder createParagraphBuilder()

      Specified by:
        `createParagraphBuilder` in class `ElementBuilderFactory`

    - #### createParamBuilder

          public HtmlParamBuilder createParamBuilder()

      Specified by:
        `createParamBuilder` in class `ElementBuilderFactory`

    - #### createPasswordInputBuilder

          public HtmlInputBuilder createPasswordInputBuilder()

      Specified by:
        `createPasswordInputBuilder` in class `ElementBuilderFactory`

    - #### createPreBuilder

          public HtmlPreBuilder createPreBuilder()

      Specified by:
        `createPreBuilder` in class `ElementBuilderFactory`

    - #### createPushButtonBuilder

          public HtmlButtonBuilder createPushButtonBuilder()

      Specified by:
        `createPushButtonBuilder` in class `ElementBuilderFactory`

    - #### createQuoteBuilder

          public HtmlQuoteBuilder createQuoteBuilder()

      Specified by:
        `createQuoteBuilder` in class `ElementBuilderFactory`

    - #### createRadioInputBuilder

          public HtmlInputBuilder createRadioInputBuilder(java.lang.String name)

      Description copied from class: `ElementBuilderFactory`
      Create a builder for an <input type='radio'> element.
      Specified by:
        `createRadioInputBuilder` in class `ElementBuilderFactory`
      Parameters:
        `name` - name the name of the radio input (used for grouping)
      Returns:
        the builder for the new element

    - #### createResetButtonBuilder

          public HtmlButtonBuilder createResetButtonBuilder()

      Specified by:
        `createResetButtonBuilder` in class `ElementBuilderFactory`

    - #### createResetInputBuilder

          public HtmlInputBuilder createResetInputBuilder()

      Specified by:
        `createResetInputBuilder` in class `ElementBuilderFactory`

    - #### createScriptBuilder

          public HtmlScriptBuilder createScriptBuilder()

      Specified by:
        `createScriptBuilder` in class `ElementBuilderFactory`

    - #### createSelectBuilder

          public HtmlSelectBuilder createSelectBuilder()

      Specified by:
        `createSelectBuilder` in class `ElementBuilderFactory`

    - #### createSourceBuilder

          public HtmlSourceBuilder createSourceBuilder()

      Specified by:
        `createSourceBuilder` in class `ElementBuilderFactory`

    - #### createSpanBuilder

          public HtmlSpanBuilder createSpanBuilder()

      Specified by:
        `createSpanBuilder` in class `ElementBuilderFactory`

    - #### createStyleBuilder

          public HtmlStyleBuilder createStyleBuilder()

      Specified by:
        `createStyleBuilder` in class `ElementBuilderFactory`

    - #### createSubmitButtonBuilder

          public HtmlButtonBuilder createSubmitButtonBuilder()

      Specified by:
        `createSubmitButtonBuilder` in class `ElementBuilderFactory`

    - #### createSubmitInputBuilder

          public HtmlInputBuilder createSubmitInputBuilder()

      Specified by:
        `createSubmitInputBuilder` in class `ElementBuilderFactory`

    - #### createTableBuilder

          public HtmlTableBuilder createTableBuilder()

      Specified by:
        `createTableBuilder` in class `ElementBuilderFactory`

    - #### createTableCaptionBuilder

          public HtmlTableCaptionBuilder createTableCaptionBuilder()

      Specified by:
        `createTableCaptionBuilder` in class `ElementBuilderFactory`

    - #### createTBodyBuilder

          public HtmlTableSectionBuilder createTBodyBuilder()

      Specified by:
        `createTBodyBuilder` in class `ElementBuilderFactory`

    - #### createTDBuilder

          public HtmlTableCellBuilder createTDBuilder()

      Specified by:
        `createTDBuilder` in class `ElementBuilderFactory`

    - #### createTextAreaBuilder

          public HtmlTextAreaBuilder createTextAreaBuilder()

      Specified by:
        `createTextAreaBuilder` in class `ElementBuilderFactory`

    - #### createTextInputBuilder

          public HtmlInputBuilder createTextInputBuilder()

      Specified by:
        `createTextInputBuilder` in class `ElementBuilderFactory`

    - #### createTFootBuilder

          public HtmlTableSectionBuilder createTFootBuilder()

      Specified by:
        `createTFootBuilder` in class `ElementBuilderFactory`

    - #### createTHBuilder

          public HtmlTableCellBuilder createTHBuilder()

      Specified by:
        `createTHBuilder` in class `ElementBuilderFactory`

    - #### createTHeadBuilder

          public HtmlTableSectionBuilder createTHeadBuilder()

      Specified by:
        `createTHeadBuilder` in class `ElementBuilderFactory`

    - #### createTitleBuilder

          public HtmlTitleBuilder createTitleBuilder()

    - #### createTRBuilder

          public HtmlTableRowBuilder createTRBuilder()

      Specified by:
        `createTRBuilder` in class `ElementBuilderFactory`

    - #### createUListBuilder

          public HtmlUListBuilder createUListBuilder()

      Specified by:
        `createUListBuilder` in class `ElementBuilderFactory`

    - #### createVideoBuilder

          public HtmlVideoBuilder createVideoBuilder()

      Specified by:
        `createVideoBuilder` in class `ElementBuilderFactory`

    - #### trustedCreate

          public HtmlElementBuilder trustedCreate(java.lang.String tagName)

      Description copied from class: `ElementBuilderFactory`
      Create an `ElementBuilder` for an arbitrary tag name. The tag name will will not be checked or escaped. The calling code should be carefully reviewed to ensure that the provided tag name will not cause a security issue if including in an HTML document. In general, this means limiting the code to HTML tagName constants supported by the HTML specification.
      Specified by:
        `trustedCreate` in class `ElementBuilderFactory`
      Parameters:
        `tagName` - the tag name of the new element
      Returns:
        an `ElementBuilder` used to build the element